CVE-2020-36401

NameCVE-2020-36401
Descriptionmruby 2.1.2 has a double free in mrb_default_allocf (called from mrb_free and obj_free).
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium
Debian Bugs990540

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
mruby (PTS)stretch1.2.0+20161228+git30d5424a-1fixed
buster2.0.0-1vulnerable
bullseye2.1.2-3fixed
bookworm, sid3.0.0-3fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
mrubysourcestretch(not affected)
mrubysource(unstable)2.1.2-3990540

Notes

[buster] - mruby <no-dsa> (Minor issue)
[stretch] - mruby <not-affected> (Vulnerable code not present)
https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=23801
https://github.com/google/oss-fuzz-vulns/blob/main/vulns/mruby/OSV-2020-744.yaml
https://github.com/mruby/mruby/commit/97319697c8f9f6ff27b32589947e1918e3015503

Search for package or bug name: Reporting problems